package com.indigitall.indigitall_flutter_plugin.services

import com.google.firebase.messaging.RemoteMessage
import com.indigitall.android.services.FirebaseMessagingService
import com.indigitall.android.utils.FirebaseUtils.setPushToken
import com.indigitall.indigitall_flutter_plugin.IndigitallFlutterPlugin
import org.json.JSONObject

class IndigitallFirebaseMessagingService: FirebaseMessagingService() {

    override fun onMessageReceived(remoteMessage: RemoteMessage) {
        super.onMessageReceived(remoteMessage)
        val data = remoteMessage.data as Map<*, *>
        val jsonObject = JSONObject(data)
        IndigitallFlutterPlugin.indigitallInterface?.onIndigitallMessageReceived(this, jsonObject)
    }
    override fun onNewToken(token: String) {
        setPushToken(this)
        super.onNewToken(token)
    }
}